#include <bits/stdc++.h>

using namespace std;

int n,q;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    cin>>n;
    vector<int> a(n);
    for(int& num : a)
        cin>>num;
    vector<int> dp(n);
    dp[0]=1;
    for(int i=1; i<n; i++)
        for(int j=0; j<i; j++)
        {
            dp[i]=dp[i-1];
            if(a[i]>=a[j])
                dp[i]=max(dp[i],dp[j]+1);
        }
    cin>>q;
    while(q--)
    {
        int l,r;
        cin>>l>>r;
        l--;
        r--;
        if(l==r)
        {
            cout<<"DA"<<'\n';
            continue;
        }
        int len=r-l+1;
        unordered_set<int> s;
        for(int i=l; i<r+1; ++i)
            s.insert(dp[i]);
        if(s.size()==len || s.size()==len-1)
            cout<<"DA"<<'\n';
        else
            cout<<"NE"<<'\n';

    }

    return 0;


}